Subject: Re: bug#3602: 23.0.94; window-line-height problems

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 10 Feb 2014 00:18:47 -0800

martin rudalics <[email-masked]> writes:

>> (window-line-height 'mode-line)
>> => nil
>>
>> So I can confirm this bug.
>
> The doc-string of `window-line-height' says ...
>
>      Return nil if window display is not up-to-date.  In that case, use
>     `pos-visible-in-window-p' to obtain the information.
>
> ... and the Elisp manual says ...
>
>      If the display is not up to date, `window-line-height' returns
>      `nil'.  In that case, `pos-visible-in-window-p' may be used to
>      obtain related information.
>
> ... so I wonder how you can "confirm this bug" ;-)

Is the window display not up to date when I hit `C-x C-e' after the form
up there?

Apparently not:

(progn (sit-for 1) (window-line-height 'mode-line))
=> (22 0 748 0)

So this doesn't seem to be a bug.  Closing.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/